public class Outil extends Objet{
	
	private int bonusMagic=0;
	
	private int bonusAtk=0;
	private boolean equiped=false;
	private int poids=0;
	
	private boolean useAsWeapon=false;
	
	private int huile=0;
	private int maxHuile=0;
	private int eclairage=0;
	private boolean alume=false;
	private boolean peutEclairer=false; // ATTENTION, UN SEUL APPLY 
	private boolean peutCasser=false;
	private boolean peutCrocheter=false;
	private boolean peutCreuser=false;
	private int bonusCrochetage=0;
	private int magicBonus=0;
	
	private int resistanceMat=0;
	private int structureMat=0;
	
	private boolean casse=false;
	
	private int niveau=0;
	
	
	
	public Outil(boolean casse,String modele,String nom,String nomE,int bonusMagic,String typeObjet,boolean visible,String tileStr){
		super(casse,modele,nom,nomE,bonusMagic,typeObjet,visible,tileStr);
		
		magicBonus=bonusMagic;
		
		if((bonusMagic*4)-7>=0){
			niveau=(bonusMagic*4)-7;
		}
		else{niveau=0;
		}
		
		if(getModele().compareTo("pickingtools")==0){
			
			poids=1;
			useAsWeapon=false;
			
			peutCreuser=false;
			peutEclairer=false;
			peutCasser=false;
			peutCrocheter=true;
			bonusCrochetage=bonusMagic;
			resistanceMat=20+(bonusMagic*20);
			structureMat=50+(bonusMagic*20);
			
		}
		
		
		if(getModele().compareTo("pioche")==0){
			
			bonusAtk=3+bonusMagic;
			poids=7;
			useAsWeapon=true;
			
			peutCreuser=false;
			peutEclairer=false;
			peutCasser=true;
			peutCrocheter=false;
			
			resistanceMat=100+(bonusMagic*20);
			structureMat=100+(bonusMagic*20);
			
		}
		
		
		
		if(getModele().compareTo("pelle")==0){
			
			bonusAtk=2+bonusMagic;
			poids=7;
			useAsWeapon=true;
			
			peutCreuser=true;
			peutEclairer=false;
			peutCasser=false;
			peutCrocheter=false;
			
			resistanceMat=100+(bonusMagic*20);
			structureMat=100+(bonusMagic*20);
			
		}
		
		
		
		if(getModele().compareTo("chandelier")==0){
			
			bonusAtk=2+bonusMagic;
			poids=2;
			useAsWeapon=true;
			
			peutCreuser=false;
			peutEclairer=true;
			peutCasser=false;
			eclairage=3;
			huile=300+bonusMagic;
			maxHuile=huile;
			peutCrocheter=false;
			
			resistanceMat=20+(bonusMagic*20);
			structureMat=60+(bonusMagic*20);
			
		}
		
		if(getModele().compareTo("torche")==0){
			
			bonusAtk=1+bonusMagic;
			poids=1;
			useAsWeapon=true;
			
			peutCreuser=false;
			peutEclairer=true;
			peutCasser=false;
			eclairage=2;
			huile=250+bonusMagic;
			maxHuile=huile;
			peutCrocheter=false;
			
			resistanceMat=10+(bonusMagic*20);
			structureMat=60+(bonusMagic*20);
		}
		
		if(getModele().compareTo("lanterne")==0){
			
			bonusAtk=1+bonusMagic;
			poids=2;
			useAsWeapon=true;
			
			peutCreuser=false;
			peutEclairer=true;
			peutCasser=false;
			eclairage=4;
			huile=500+bonusMagic;
			maxHuile=huile;
			peutCrocheter=false;
			
			resistanceMat=5+(bonusMagic*20);
			structureMat=20+(bonusMagic*20);
		}
		
		if(getModele().compareTo("oilflask")==0){
			
			poids=2;
			useAsWeapon=false;
			
			peutCreuser=false;
			peutEclairer=false;
			peutCasser=false;
			huile=500+bonusMagic;
			peutCrocheter=false;
			
			resistanceMat=5+(bonusMagic*20);
			structureMat=10+(bonusMagic*20);
		}
			
	}
	
	/// OBJETS RENDUS INUTILISABLES
	public void setCasse(boolean broken){
		casse=broken;
		
		if(casse==true){
			useAsWeapon=false;
			huile=0;
			eclairage=0;
			peutEclairer=false;
			peutCasser=false;
			peutCrocheter=false;
			peutCreuser=false;
			bonusCrochetage=0;
			setAlume(false);
			
		}
		
		
	}
	
	
	public boolean getCasse(){
		return casse;
	}
	
	public int getNiveau(){
		return niveau;
	}
	
	public int getResistanceMat(){
		return resistanceMat;
	}
	
	public void setResistanceMat(int res){
		resistanceMat=res;
	}
	
	public int getStructureMat(){
		return structureMat;
	}
	
	public void setStructureMat(int struct){
		structureMat=struct;
	}
	
	public int getBonusCrochetage(){
		return bonusCrochetage;
	}
	
	
	
	public boolean getPeutCrocheter(){
		return peutCrocheter;
	}
	
	public void setPeutCrocheter(boolean croch){
		peutCrocheter=croch;
	}
	
	
	public int getHuile(){
		return huile;
	}
	
	public void setHuile(int oil){
		huile=oil;
	}
	
	public int getMaxHuile(){
		return maxHuile;
	}
	
	
	public boolean getAlume(){
		return alume;
	}
	
	public void setAlume(boolean lit){
		alume=lit;
	}
	
	public boolean getPeutCasser(){
		return peutCasser;
	}
	
	public void setPeutCasser(boolean peutcass){
		peutCasser=peutcass;
	}
	
	
	
	public boolean getPeutCreuser(){
		return peutCreuser;
	}
	
	public void setPeutCreuser(boolean peutcres){
		peutCreuser=peutcres;
	}
	
	
	
	
	
	public boolean getPeutEclairer(){
		return peutEclairer;
	}
	
	public void setPeutEclaire(boolean peutEcl){
		peutEclairer=peutEcl;
	}
	
	
	public void setEclairage(int ecl){
		eclairage=ecl;
	}
	
	public int getEclairage(){
		return eclairage;
	}
	
	
	public boolean getUseAsWeapon(){
		
		return useAsWeapon;
	}
	
	public int getPoids(){
		return poids;
	}
	
	public void setPoids(int pds){
		poids=pds;
	}
	
	
	public boolean getEquiped(){
		return equiped;
	}
	
	public void setEquiped(boolean eq){
		equiped=eq;
	}
	
	public int getBonusAtk(){
		return bonusAtk;
	}
	
	public void setBonusAtk(int bonat){
		bonusAtk=bonat;
	}
	
	public int getMagicBonus(){
		return magicBonus;
	}
	
}